org.codehaus.plexus.components.interactivity

## Class AbstractInputHandler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.components.interactivity.AbstractInputHandler

All Implemented Interfaces:
  InputHandler, org.codehaus.plexus.logging.LogEnabled

Direct Known Subclasses:
  DefaultInputHandler

    public abstract class AbstractInputHandler
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements InputHandler

Base input handler, implements a default `readMultipleLines`.

Version:
  $Id: AbstractInputHandler.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.components.interactivity.InputHandler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractInputHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `readMultipleLines()` Read a set of lines.

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.components.interactivity.InputHandler

`readLine, readPassword`

### Constructor Detail

#### AbstractInputHandler

    public AbstractInputHandler()

### Method Detail

#### readMultipleLines

    public List readMultipleLines()
                           throws IOException

Description copied from interface: `InputHandler`
Read a set of lines. Equivalent to multiple calls to `InputHandler.readLine()`. Ends when an empty line is encountered.

Specified by:
  `readMultipleLines` in interface `InputHandler`
Returns:
  a list of lines read
Throws:
  `IOException`